Subject: bug#9686: When replying to a message using r, R, f or F in summary or message buffer, original body is not added or quoted.

From: Burton Samograd <[email-masked]>
Date: Thu, 06 Oct 2011 12:09:58 -0600

When I try and reply to a message in the summary or message buffer using
r, R, f, or F, the original message is not included and quoted as used
to be in previous versions of Gnus.

When I type R on a message, I get the following buffer (minus dashed
lines):

------------------------------------------------------------------------------
Sivaram Neelakantan <[email-masked]> writes:
------------------------------------------------------------------------------

Nothing more, no mail headers or anything.  I get similar behaviour when
using F.  With r and f, I get mail headers as per usual with no original
message quoting (which is to be expected I think).

R is bound to:

   R runs the command gnus-summary-reply-with-original

F is bound to:
   F runs the command gnus-article-followup-with-original

Here is my gnus configuration:

(setq user-mail-address "[email-masked]")
(setq user-full-name "Burton Samograd")
(setq gnus-select-method '(nnimap "PRIVATE"))
(setq gnus-secondary-select-methods '((nntp "news.gmane.org")))
(setq send-mail-function 'smtpmail-send-it)
(setq message-send-mail-function 'smtpmail-send-it)
(setq smtpmail-smtp-server "PRIVATE")
(setq smtpmail-default-smtp-server "PRIVATE")
(setq gnus-thread-sort-functions '(gnus-thread-sort-by-most-recent-date))

Gnus v5.13
GNU Emacs 24.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2011-09-26 on bsamograd-ubuntu
200 news.gmane.org InterNetNews NNRP server INN 2.5.1 ready (posting ok)
101 Capability list:
VERSION 2
IMPLEMENTATION INN 2.5.1
AUTHINFO USER
HDR
LIST ACTIVE ACTIVE.TIMES DISTRIB.PATS HEADERS NEWSGROUPS OVERVIEW.FMT
OVER
POST
READER
STARTTLS
.

--
Burton Samograd